function disp_img_total = DrawSuperpixelsAreaIterationsSingleFigure(img, sup_image, Xs, num_rows, num_cols, number_on)

    img = im2double(img);
    
    num_solutions = size(Xs, 2);
    
    if (~exist('num_rows', 'var') || isempty(num_rows))
        num_rows = floor(sqrt(num_solutions));
        num_cols = ceil(num_solutions / num_rows);
    end
    
    if (~exist('number_on', 'var') || isempty(number_on))
        number_on = true;
    end
    
    [M,N,C] = size(img);
    disp_img_total = zeros(M*num_rows, N*num_cols, C);
    
    for i = 1:num_solutions
        row = floor((i-1) / num_cols);
        col = mod((i-1), num_cols);
        
        if (nargout == 0)
            subplot('Position',[col/num_cols (num_rows-row-1)/num_rows 1/num_cols 1/num_rows]);
            iptsetpref('ImshowBorder', 'tight');
            DrawSuperpixelsFigure(img, sup_image, Xs(:,i));
        else
            disp_img = DrawSuperpixelsFigure(img, sup_image, Xs(:,i));
            start_row = M*row+1;
            start_col = N*col+1;
            disp_img_total(start_row:(start_row+M-1),start_col:(start_col+N-1),:) = im2double(disp_img);
        end
        
        
        if (number_on && nargout == 0)
            title(num2str(i));
        end
    end